Getting the total number of requests a domain or subdomain¶
Note
The user must have at least READ permissions during the selected time period.
Note
Domains and subdomains for which a user has no permissions are skipped.
Note
At least one attribute domains or subDomains must be defined in the body.
Sends a POST request to the endpoint /statistics/total-domain-requests/{startTime}/{finishTime}.
Description¶
The Get-Total-Requests-For-A-Domain request allows the user to request a statistic of total requests of one or more domains or subdomains for the selected time period.
Requirements¶
Values of the request: Start Date {startTime}; End Date {finishTime}
Objects: StatisticsVO
Request¶
To get a statistic of the total requests of one or more domains or subdomains, the start time and end time as unix timestamp need to be added to the path of the request.
For a detailed specification of which information is required to get a statistic, the following attributes need to be defined in the body:
| Attributes | Description | Values |
|---|---|---|
domains |
An array with the names of the domains.NoteTo include a domain with all its subdomains, the attribute subDomains must be empty. |
string |
subDomains |
An array with the names of the subdomains.NoteTo include only specific subdomains, the attribute Domains can be empty. |
string |
As a result, the user gets the objects graph with data for each analysis category for the selected domains or subdomains for a graphical visualisation.
Also the object data with the related data in total.
The object data provides the following information:
| Attributes | Description | Values |
|---|---|---|
total_requests |
The total number of requests. | integer |
total_https_requests |
The total number of HTTPS requests. | integer |
total_non_https_requests |
The total number of non-HTTPS requests. | integer |
total_blocked_requests |
The total number of blocked requests. | integer |
total_cached_requests |
The total number of cached requests. | integer |
total_uncached_requests |
The total number of uncached requests. | integer |
total_redirect_requests |
The total number of redirected requests. | integer |
total_verified_requests |
The total number of verified requests. | integer |
total_traffic |
The total amount of traffic. | integer |
total_ingress_traffic |
The total amount of incoming traffic. | integer |
total_egress_traffic |
The total amount of outgoing traffic. | integer |
total_cached_traffic |
The total amount of cached traffic. | integer |
total_uncached_traffic |
The total amount of uncached traffic. | integer |
mean_requests_ps |
The mean number of requests per second. | integer |
mean_blocked_requests_ps |
The mean number of blocked requests per second. | integer |
mean_cached_requests_ps |
The mean number of cached requests per second. | integer |
mean_uncached_requests_ps |
The mean number of uncached requests per second. | integer |
mean_redirect_requests_ps |
The mean number of redirected requests per second. | integer |
mean_verified_requests_ps |
The mean number of verified requests per second. | integer |
mean_traffic_ps |
The mean amount of traffic per second. | integer |
mean_cached_traffic_ps |
The mean amount of cached traffic per second. | integer |
mean_uncached_traffic_ps |
The mean amount of uncached traffic per second. | integer |
upstream_time_avg |
The average upstream time. | integer |
For a graphical visualisation of the data for each data point for the selected time period, see the object graph for each attribute under Data to get the relevant data for the analysis.
| Attributes | Description | Values |
|---|---|---|
x |
The date and time for the data point. | integer as unix timestamp |
y |
The value for the related data point. | integer |
Example¶
Example request body:
{
"domains": "string",
"subDomains": "string",
"total_requests": 0,
"total_https_requests": 0,
"total_non_https_requests": 0,
"total_blocked_requests": 0,
"total_cached_requests": 0,
"total_uncached_requests": 0,
"total_redirect_requests": 0,
"total_verified_requests": 0,
"total_traffic": 0,
"total_ingress_traffic": 0,
"total_egress_traffic": 0,
"total_cached_traffic": 0,
"total_uncached_traffic": 0,
"mean_requests_ps": 0,
"mean_blocked_requests_ps": 0,
"mean_cached_requests_ps": 0,
"mean_uncached_requests_ps": 0,
"mean_redirect_requests_ps": 0,
"mean_verified_requests_ps": 0,
"mean_traffic_ps": 0,
"mean_cached_traffic_ps": 0,
"mean_uncached_traffic_ps": 0,
"upstream_time_avg": 0,
"x": 0,
"y": 0
}
Responses¶
The following responses are available:
| STATUS CODE | DESCRIPTION |
|---|---|
| 201 | The request has succeeded and a new object has been created. |
| 400 | The request was unsuccessful. The request was invalid or information is missing. |
| 401 | The request has not succeeded because the user authentication was incorrect. |
| 403 | The request has not succeeded because the user does not have the right permissions. |